## ros-humble-controller-manager 2.31.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(controller_manager)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
    ament_index_cpp
    controller_interface
    controller_manager_msgs
    hardware_interface
    pluginlib
    rclcpp
    realtime_tools
)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(ament_cmake_core REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(${PROJECT_NAME} SHARED
  src/controller_manager.cpp
)
target_include_directories(${PROJECT_NAME} PRIVATE include)
ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "CONTROLLER_MANAGER_BUILDING_DLL")

add_executable(ros2_control_node src/ros2_control_node.cpp)
target_include_directories(ros2_control_node PRIVATE include)
target_link_libraries(ros2_control_node
  ${PROJECT_NAME}
)
ament_target_dependencies(ros2_control_node ${THIS_PACKAGE_INCLUDE_DEPENDS})

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(TARGETS ros2_control_node
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  add_library(test_controller SHARED test/test_controller/test_controller.cpp)
  target_include_directories(test_controller PRIVATE include)
  target_link_libraries(test_controller ${PROJECT_NAME})
  target_compile_definitions(test_controller PRIVATE "CONTROLLER_MANAGER_BUILDING_DLL")
  pluginlib_export_plugin_description_file(
    controller_interface test/test_controller/test_controller.xml)
  install(TARGETS test_controller
    DESTINATION lib
  )

  add_library(test_controller_failed_init SHARED test/test_controller_failed_init/test_controller_failed_init.cpp)
  target_include_directories(test_controller_failed_init PRIVATE include)
  target_link_libraries(test_controller_failed_init ${PROJECT_NAME})
  target_compile_definitions(test_controller_failed_init PRIVATE "CONTROLLER_MANAGER_BUILDING_DLL")
  pluginlib_export_plugin_description_file(
    controller_interface test/test_controller_failed_init/test_controller_failed_init.xml)
  install(TARGETS test_controller_failed_init
    DESTINATION lib
  )

  add_library(test_chainable_controller SHARED test/test_chainable_controller/test_chainable_controller.cpp)
  ament_target_dependencies(test_chainable_controller realtime_tools)
  target_include_directories(test_chainable_controller PRIVATE include)
  target_link_libraries(test_chainable_controller controller_manager)
  target_compile_definitions(test_chainable_controller PRIVATE "CONTROLLER_MANAGER_BUILDING_DLL")
  pluginlib_export_plugin_description_file(
    controller_interface test/test_chainable_controller/test_chainable_controller.xml)
  install(TARGETS test_chainable_controller
    DESTINATION lib
  )

  ament_add_gmock(
    test_controller_manager
    test/test_controller_manager.cpp
  )
  target_include_directories(test_controller_manager PRIVATE include)
  target_link_libraries(test_controller_manager ${PROJECT_NAME} test_controller)
  ament_target_dependencies(test_controller_manager ros2_control_test_assets)

  ament_add_gmock(
    test_controller_manager_with_namespace.cpp
    test/test_controller_manager_with_namespace.cpp
  )
  target_include_directories(test_controller_manager_with_namespace.cpp PRIVATE include)
  target_link_libraries(test_controller_manager_with_namespace.cpp ${PROJECT_NAME} test_controller)
  ament_target_dependencies(test_controller_manager_with_namespace.cpp ros2_control_test_assets)

  ament_add_gmock(
    test_load_controller
    test/test_load_controller.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}_$<CONFIG>
  )
  target_include_directories(test_load_controller PRIVATE include)
  target_link_libraries(test_load_controller ${PROJECT_NAME} test_controller test_controller_failed_init)
  ament_target_dependencies(test_load_controller ros2_control_test_assets)

  ament_add_gmock(
    test_controllers_chaining_with_controller_manager
    test/test_controllers_chaining_with_controller_manager.cpp
  )
  target_include_directories(test_controllers_chaining_with_controller_manager PRIVATE include)
  target_link_libraries(test_controllers_chaining_with_controller_manager controller_manager test_chainable_controller test_controller)
  ament_target_dependencies(test_controllers_chaining_with_controller_manager ros2_control_test_assets)

  ament_add_gmock(
    test_controller_manager_srvs
    test/test_controller_manager_srvs.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}_$<CONFIG>
  )
  target_include_directories(test_controller_manager_srvs PRIVATE include)
  target_link_libraries(test_controller_manager_srvs ${PROJECT_NAME} test_controller test_chainable_controller)
  ament_target_dependencies(
    test_controller_manager_srvs
    controller_manager_msgs
    ros2_control_test_assets
  )

  add_library(test_controller_with_interfaces SHARED test/test_controller_with_interfaces/test_controller_with_interfaces.cpp)
  target_include_directories(test_controller_with_interfaces PRIVATE include)
  target_link_libraries(test_controller_with_interfaces ${PROJECT_NAME})
  target_compile_definitions(test_controller_with_interfaces PRIVATE "CONTROLLER_MANAGER_BUILDING_DLL")
  pluginlib_export_plugin_description_file(
    controller_interface test/test_controller_with_interfaces/test_controller_with_interfaces.xml)
  install(TARGETS test_controller_with_interfaces
    DESTINATION lib
  )

  ament_add_gmock(
    test_release_interfaces
    test/test_release_interfaces.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}_$<CONFIG>
  )
  target_include_directories(test_release_interfaces PRIVATE include)
  target_link_libraries(test_release_interfaces ${PROJECT_NAME} test_controller_with_interfaces)
  ament_target_dependencies(test_release_interfaces ros2_control_test_assets)

  ament_add_gmock(
    test_spawner_unspawner
    test/test_spawner_unspawner.cpp
  )
  target_include_directories(test_spawner_unspawner PRIVATE include)
  target_link_libraries(test_spawner_unspawner ${PROJECT_NAME} test_controller)
  ament_target_dependencies(test_spawner_unspawner ros2_control_test_assets)

  ament_add_gmock(
    test_hardware_management_srvs
    test/test_hardware_management_srvs.cpp
  )
  target_include_directories(test_hardware_management_srvs PRIVATE include)
  target_link_libraries(test_hardware_management_srvs ${PROJECT_NAME} test_controller)
  ament_target_dependencies(
    test_hardware_management_srvs
    controller_manager_msgs
    ros2_control_test_assets
  )
endif()

# Install Python modules
ament_python_install_package(${PROJECT_NAME} SCRIPTS_DESTINATION lib/${PROJECT_NAME})

ament_export_libraries(
  ${PROJECT_NAME}
)
ament_export_include_directories(
  include
)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
ament_package()

=== debian/changelog ===
ros-humble-controller-manager (2.31.0-1jammy) jammy; urgency=high

  * [Docs] Fix information about activation and deactivation of chainable controllers (#1104 <https://github.com/ros-controls/ros2_control/issues/1104>) (#1106 <https://github.com/ros-controls/ros2_control/issues/1106>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-controller-manager (2.30.0-1jammy) jammy; urgency=high

  * [CM] Fixes the issue with individual controller's update rate (#1082 <https://github.com/ros-controls/ros2_control/issues/1082>) (#1097 <https://github.com/ros-controls/ros2_control/issues/1097>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-controller-manager (2.29.0-1jammy) jammy; urgency=high

  * [CM] Make error message after trying to active controller more informative. (#1066 <https://github.com/ros-controls/ros2_control/issues/1066>) (#1072 <https://github.com/ros-controls/ros2_control/issues/1072>)
  * added controller manager runner to have update cycles (#1075 <https://github.com/ros-controls/ros2_control/issues/1075>) (#1076 <https://github.com/ros-controls/ros2_control/issues/1076>)
  * Fix equal and higher controller update rate (backport #1070 <https://github.com/ros-controls/ros2_control/issues/1070>) (#1071 <https://github.com/ros-controls/ros2_control/issues/1071>)
  * Contributors: Sai Kishor Kothakota, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-controller-manager (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-controller-manager (2.27.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #1031 <https://github.com/ros-controls/ros2_control/issues/1031>) (#1042 <https://github.com/ros-controls/ros2_control/issues/1042>)
  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * controller_manager_srvs tests: Add text to assertions (backport #1023 <https://github.com/ros-controls/ros2_control/issues/1023>) (#1029 <https://github.com/ros-controls/ros2_control/issues/1029>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich, Bence Magyar, Felix Exner

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-controller-manager (2.26.0-1jammy) jammy; urgency=high

  * Revert "Add diagnostics (#1015 <https://github.com/ros-controls/ros2_control/issues/1015>) #abi-breaking
  * Fix GitHub link on control.ros.org (#1022 <https://github.com/ros-controls/ros2_control/issues/1022>) (#1024 <https://github.com/ros-controls/ros2_control/issues/1024>)
  * Contributors: Joseph Schornak, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-controller-manager (2.24.0-1jammy) jammy; urgency=high

  * fix AttributeError: Parameter object attribute name is read-only (#957 <https://github.com/ros-controls/ros2_control/issues/957>) (#958 <https://github.com/ros-controls/ros2_control/issues/958>)
  * Expose node options to controller manager (#942 <https://github.com/ros-controls/ros2_control/issues/942>) (#946 <https://github.com/ros-controls/ros2_control/issues/946>)
  * Contributors: Bence Magyar, methylDragon,Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-controller-manager (2.23.0-1jammy) jammy; urgency=high

  * Adds list_hardware_components to CLI #796 <https://github.com/ros-controls/ros2_control/issues/796> - Adds list_hardware_components to CLI (#891 <https://github.com/ros-controls/ros2_control/issues/891>) (#937 <https://github.com/ros-controls/ros2_control/issues/937>)
  * Do not use CLI calls but direct API for setting parameters. (backport #910 <https://github.com/ros-controls/ros2_control/issues/910>) (#913 <https://github.com/ros-controls/ros2_control/issues/913>)
  * Contributors: Andy McEvoy, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-controller-manager (2.22.0-1jammy) jammy; urgency=high

  * Optimize output of controller spawner (backport #909 <https://github.com/ros-controls/ros2_control/issues/909>) (#911 <https://github.com/ros-controls/ros2_control/issues/911>)
  * Namespace Loaded Controllers (#852 <https://github.com/ros-controls/ros2_control/issues/852>) (#914 <https://github.com/ros-controls/ros2_control/issues/914>)
  * Add diagnostics (backport #820 <https://github.com/ros-controls/ros2_control/issues/820>) (#922 <https://github.com/ros-controls/ros2_control/issues/922>)
  * Contributors: Bence Magyar, Denis Stogl, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-controller-manager (2.21.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-index-cpp, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager-msgs, ros-humble-hardware-interface, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets, ros-humble-ros2param, ros-humble-ros2run, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager-msgs, ros-humble-hardware-interface, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets, ros-humble-ros2param, ros-humble-ros2run, ros-humble-ros-workspace
Description: Description of controller_manager

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-controller-manager//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-controller-manager 2.41.0

=== debian/changelog ===
ros-humble-controller-manager (2.41.0-1bookworm) bookworm; urgency=high

  * check for state of the controller node before cleanup (backport #1363 <https://github.com/ros-controls/ros2_control/issues/1363>) (#1378 <https://github.com/ros-controls/ros2_control/issues/1378>)
  * Bump version of pre-commit hooks (backport #1430 <https://github.com/ros-controls/ros2_control/issues/1430>) (#1434 <https://github.com/ros-controls/ros2_control/issues/1434>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-controller-manager (2.40.0-1bookworm) bookworm; urgency=high

  * Fix multiple chainable controller activation bug (backport #1401 <https://github.com/ros-controls/ros2_control/issues/1401>) (#1411 <https://github.com/ros-controls/ros2_control/issues/1411>)
  * [CI] Code coverage + pre-commit (backport #1413 <https://github.com/ros-controls/ros2_control/issues/1413>) (#1414 <https://github.com/ros-controls/ros2_control/issues/1414>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-controller-manager (2.39.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Feb 2024 16:00:00 -0000

ros-humble-controller-manager (2.39.0-1bookworm) bookworm; urgency=high

  * [Spawners] Remove walrus operator (#1366 <https://github.com/ros-controls/ros2_control/issues/1366>)
  * [CM] Use explicit constants in controller tests. (#1356 <https://github.com/ros-controls/ros2_control/issues/1356>) (#1359 <https://github.com/ros-controls/ros2_control/issues/1359>)
  * Move test_components to own package (backport #1325 <https://github.com/ros-controls/ros2_control/issues/1325>) (#1340 <https://github.com/ros-controls/ros2_control/issues/1340>)
  * Contributors: Christoph Fröhlich, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-controller-manager (2.38.0-1bookworm) bookworm; urgency=high

  * [CM] Fix controller parameter loading issue in different cases (#1293 <https://github.com/ros-controls/ros2_control/issues/1293>) (#1332 <https://github.com/ros-controls/ros2_control/issues/1332>)
  * Enable setting of initial state in HW components (backport #1046 <https://github.com/ros-controls/ros2_control/issues/1046>) (#1064 <https://github.com/ros-controls/ros2_control/issues/1064>)
  * Contributors: Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Jan 2024 16:00:00 -0000

ros-humble-controller-manager (2.37.0-1bookworm) bookworm; urgency=high

  * Add additional checks for non existing and not available interfaces. (backport #1218 <https://github.com/ros-controls/ros2_control/issues/1218>) (#1291 <https://github.com/ros-controls/ros2_control/issues/1291>)
  * [ControllerManager] Fix all warnings from the latets features. (backport #1174 <https://github.com/ros-controls/ros2_control/issues/1174>) (#1309 <https://github.com/ros-controls/ros2_control/issues/1309>)
  * Reformat with braces added (backport #1209 <https://github.com/ros-controls/ros2_control/issues/1209>) (#1306 <https://github.com/ros-controls/ros2_control/issues/1306>)
  * Add spawner for hardware (backport #941 <https://github.com/ros-controls/ros2_control/issues/941>) (#1216 <https://github.com/ros-controls/ros2_control/issues/1216>)
  * Initialize the controller manager services after initializing resource manager (#1272 <https://github.com/ros-controls/ros2_control/issues/1272>)
  * Fix rqt controller manager crash on ros2_control restart (#1273 <https://github.com/ros-controls/ros2_control/issues/1273>) (#1280 <https://github.com/ros-controls/ros2_control/issues/1280>)
  * Contributors: David Yackzan, Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-controller-manager (2.36.1-1bookworm) bookworm; urgency=high

  * [docs] Remove joint_state_controller (#1263 <https://github.com/ros-controls/ros2_control/issues/1263>) (#1264 <https://github.com/ros-controls/ros2_control/issues/1264>)
  * [CI] Increase timeout for controller_managers_srv test (backport #1224 <https://github.com/ros-controls/ros2_control/issues/1224>) (#1225 <https://github.com/ros-controls/ros2_control/issues/1225>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-controller-manager (2.36.0-1bookworm) bookworm; urgency=high

  * Fix controller sorting issue while loading large number of controllers (#1180 <https://github.com/ros-controls/ros2_control/issues/1180>) (#1186 <https://github.com/ros-controls/ros2_control/issues/1186>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-controller-manager (2.35.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-controller-manager (2.35.0-1bookworm) bookworm; urgency=high

  * Fix the controller sorting bug when the interfaces are not configured (fixes #1164 <https://github.com/ros-controls/ros2_control/issues/1164>) (#1165 <https://github.com/ros-controls/ros2_control/issues/1165>) (#1166 <https://github.com/ros-controls/ros2_control/issues/1166>)
  * [CM] Use robot_description topic instead of parameter and don't crash on empty URDF 🦿 (backport #940 <https://github.com/ros-controls/ros2_control/issues/940>) (#1052 <https://github.com/ros-controls/ros2_control/issues/1052>)
  * Contributors: Sai Kishor Kothakota, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-controller-manager (2.34.0-1bookworm) bookworm; urgency=high

  * [Humble] Controller sorting (#1157 <https://github.com/ros-controls/ros2_control/issues/1157>)


=== debian/control ===
Source: ros-humble-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-index-cpp, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-ros2param, ros-humble-ros2run, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager-msgs, ros-humble-hardware-interface, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets, ros-humble-ros2param, ros-humble-ros2run, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Description of controller_manager

## ros-humble-controller-manager 2.43.1

=== debian/changelog ===
ros-humble-controller-manager (2.43.1-1bookworm) bookworm; urgency=high

  * controller_manager: Add space to string literal concatenation (#1245 <https://github.com/ros-controls/ros2_control/issues/1245>) (#1747 <https://github.com/ros-controls/ros2_control/issues/1747>)
  * fix: the print of the information in control node was in wrong order (#1726 <https://github.com/ros-controls/ros2_control/issues/1726>)
  * Contributors: Manuel Muth, roscan-tech

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-controller-manager (2.43.0-1bookworm) bookworm; urgency=high

  * Infrom user why rt policy could not be set, infrom if is set. (backport #1705 <https://github.com/ros-controls/ros2_control/issues/1705>) (#1708 <https://github.com/ros-controls/ros2_control/issues/1708>)
  * Make list controller and list hardware components immediately visualize the state. (backport #1606 <https://github.com/ros-controls/ros2_control/issues/1606>) (#1690 <https://github.com/ros-controls/ros2_control/issues/1690>)
  * Robustify spawner (backport #1501 <https://github.com/ros-controls/ros2_control/issues/1501>) (#1686 <https://github.com/ros-controls/ros2_control/issues/1686>)
  * [CI] Backport #1636 <https://github.com/ros-controls/ros2_control/issues/1636> #1668 <https://github.com/ros-controls/ros2_control/issues/1668> and fix coverage on jammy (#1677 <https://github.com/ros-controls/ros2_control/issues/1677>)
  * Handle on waiting (backport #1562 <https://github.com/ros-controls/ros2_control/issues/1562>) (#1680 <https://github.com/ros-controls/ros2_control/issues/1680>)
  * refactor SwitchParams to fix the incosistencies in the spawner tests (backport #1638 <https://github.com/ros-controls/ros2_control/issues/1638>) (#1659 <https://github.com/ros-controls/ros2_control/issues/1659>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-controller-manager (2.42.0-1bookworm) bookworm; urgency=high

  * Remove noqa (#1626 <https://github.com/ros-controls/ros2_control/issues/1626>) (#1628 <https://github.com/ros-controls/ros2_control/issues/1628>)
  * Bump version of pre-commit hooks (backport #1556 <https://github.com/ros-controls/ros2_control/issues/1556>) (#1557 <https://github.com/ros-controls/ros2_control/issues/1557>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

=== debian/control ===
Source: ros-humble-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-coverage <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-index-cpp, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-ros2param, ros-humble-ros2run, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager-msgs, ros-humble-hardware-interface, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets, ros-humble-ros2param, ros-humble-ros2run, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Description of controller_manager

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-controller-manager//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-controller-manager//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-controller-manager//opt/ros/humble/opt/controller_manager/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
